omni: Add ro.omni.version to system build.prop

update_engine expect this property to be read from system partition because she's mounted by default

Change-Id: I5f361ff0de0ef3b9550ff7e02e0c8f6547b678ee
diff --git a/config/version.mk b/config/version.mk
index 60a3765..5437cb4 100644
--- a/config/version.mk
+++ b/config/version.mk
@@ -44,3 +44,5 @@
     ro.omni.version=$(ROM_VERSION) \
     ro.omni.device=$(TARGET_PRODUCT_SHORT) \
     ro.omni.branch=$(ROM_BRANCH)
+
+PRODUCT_SYSTEM_PROPERTIES += ro.omni.version=$(ROM_VERSION)
diff --git a/prebuilt/common/bin/backuptool_ab.sh b/prebuilt/common/bin/backuptool_ab.sh
index 49766bd..4a167e0 100755
--- a/prebuilt/common/bin/backuptool_ab.sh
+++ b/prebuilt/common/bin/backuptool_ab.sh
@@ -57,7 +57,7 @@
   return 1
 fi
 
-if ! grep -q "^ro.omni.version=$V.*" /product/build.prop; then
+if ! grep -q "^ro.omni.version=$V.*" /system/build.prop; then
   echo "Backup/restore is not possible. Incompatible ROM version: $V"
   return 2
 fi